# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`ocsinventoryagent`](#ocsinventoryagent): Installs and configures the OCS inventory agent package for the operating system

## Classes

### ocsinventoryagent

Installs and configures the OCS inventory agent package for the operating system

* **See also**
https://forge.puppet.com/puppet/zypprepo
Used component module for Zypper Repository

#### Parameters

The following parameters are available in the `ocsinventoryagent` class.

##### `ensure`

Data type: `Enum['present', 'absent']`

Ensure wether the package is installed or not

Default value: 'present'

##### `package_name`

Data type: `String`

The name of the ocsinventory-agent package

Default value: 'ocsinventory-agent'

##### `daemon`

Data type: `Enum['0', '1']`

detach the agent in background

Default value: '0'

##### `debug`

Data type: `Enum['0', '1']`

debug mode

Default value: '0'

##### `devlib`

Data type: `Enum['0', '1']`

search for Backend mod in ./lib only

Default value: '0'

##### `force`

Data type: `Enum['0', '1']`

always send data to server (Don't ask before)

Default value: '0'

##### `info`

Data type: `Enum['0', '1']`

verbose mode

Default value: '1'

##### `lazy`

Data type: `Enum['0', '1']`

do not contact the server more than one time during the PROLOG_FREQ

Default value: '0'

##### `local`

Data type: `String`

do not contact server but write inventory in DIR directory in XML

Default value: ''

##### `logfile`

Data type: `String`

log message in this file

Default value: ''

##### `password`

Data type: `String`

password for server auth

Default value: ''

##### `proxy`

Data type: `String`

proxy address. e.g: http://user:pass\@proxy:port

Default value: ''

##### `realm`

Data type: `String`

realm for server auth. e.g: 'Restricted Area'

Default value: ''

##### `server`

Data type: `String`

server uri

Default value: 'http://ocsinventory-ng/ocsinventory'

##### `stdout`

Data type: `Enum['0', '1']`

do not write or post the inventory but print it on STDOUT

Default value: '0'

##### `ocstag`

Data type: `String`

Use tag for ocs

Default value: ''

##### `user`

Data type: `String`

user for server auth

Default value: ''

##### `wait`

Data type: `String`

wait a random period before contacting server like --daemon does

Default value: ''

##### `nosoftware`

Data type: `Enum['0', '1']`

do not return installed software list

Default value: '0'

##### `delaytime`

Data type: `String`

set a max delay time (in second) if no PROLOG_FREQ is set

Default value: '3600'

##### `backendCollectTimeout`

set a max delay time of one action (search package id, ...) is set

##### `scanhomedirs`

Data type: `Enum['0', '1']`

permit to scan home user directories

Default value: '0'

##### `ssl`

Data type: `Enum['0', '1']`

disable or enable SSL communications check

Default value: '1'

##### `ca`

Data type: `String`

path to CA certificates file in PEM format

Default value: ''

##### `repo_dependencies`

Data type: `Optional[Hash]`

A list of package dependencies required to install before the dependencies

Default value: `undef`

##### `dependencies`

Data type: `Optional[Hash]`

A list of package dependencies required to install OCS inventory package

Default value: `undef`

##### `zypper_repo_url`

Data type: `Optional[String]`

URL of Zypper Repository for SLES systems

Default value: `undef`

##### `backendcollecttimeout`

Data type: `String`



Default value: '600'

